%define uname	LogbookKonni-1.2
%define piname	logbookkonni_pi

Name:		opencpn-logbookkonni-plugin
Summary:	Logbook plugin for OpenCpn
Version:	1.2.024
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/delatbabel/%{uname}/
# See opencpn srpm SOURCES for obtaining the versioned tarball.
Source0:	LogbookKonni_pi-%{version}.tar.gz
Source1:	LogbookKonni_Layouts.zip

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	LogbookKonni = %{version}
Provides:	opencpn-logbook-plugin = %{version}-%{release}
Obsoletes:	opencpn-logbook-plugin < 4.0.0-1
Conflicts:	opencpn < 4.0.0-1

%description
The Konni's logbook plugin is fully integrated inside the graphical interface
of opencpn.
NB : the needed LogbookKonni_Layouts.zip and LogbookKonni_Other.zip may be
found in the /usr/share/opencpn directory.
NB : locale language is automatically set for the logbook when it has been
installed, there is no need to search for the languages.zip file.

%prep
%setup -q -n LogbookKonni_pi
cp %{SOURCE1} data

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/data
mkdir -p %{buildroot}%{_datadir}/opencpn/plugins/%{piname}/Layouts
cp -r %{_builddir}/LogbookKonni_pi/data \
%{buildroot}%{_datadir}/opencpn/plugins/%{piname}
cp -r %{_builddir}/LogbookKonni_pi/Layouts \
%{buildroot}%{_datadir}/opencpn/plugins/%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%dir %{_datadir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/Layouts/*
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sat Jun 03 2017 akien <akien> 1.2.024-3.mga6
+ Revision: 1106112
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.2.024-2.mga6
+ Revision: 1019832
- rebuild for wxgtk3.0 built with GTK2

* Tue Mar 15 2016 barjac <barjac> 1.2.024-1.mga6
+ Revision: 991012
- new version 1.2.024

* Sun Feb 21 2016 barjac <barjac> 1.2.023-1.mga6
+ Revision: 975908
- new version 1.2.023

* Tue Feb 16 2016 barjac <barjac> 1.2.018-2.mga6
+ Revision: 962308
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.2.018-1.mga6
+ Revision: 908776
- new package opencpn-logbookkonni-plugin

